# KVM tools

This repository contain scripts for managing KVM hypervisors used with DRBD and LVM.

It contains the following scripts.

- add-vm.sh: create DBRD volumes and virtual machines.
- kvmstats.sh: gives informations about defined virtual machines.

## Install

Copy the scripts to /usr/local/sbin:

~~~
install -m 0755 add-vm.sh /usr/local/sbin/add-vm
install -m 0755 kvmstats.sh /usr/local/sbin/kvmstats
~~~

Edit configuration in /etc/evolinux/add-vm.cnf:

~~~
masterKVMIP=192.168.0.X
slaveKVMIP=192.168.0.Y
~~~

## Dry-run mode

You can use the dry-run mode by setting doDryRun var in config file:

~~~
doDryRun=true
~~~

> This is specific to add-vm.
